ReverseBeamElementDirectionBuilder Class

class NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder

Bases: NXOpen.Builder, NXOpen.CAE.ModelCheck.ISelectionBuilder

Represents a NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder used to reverse directions for specified beam elements.

You can reverse beam element directions by using either Builder.Commit() or NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.ReverseDirections(). The difference between these two methods is Builder.Commit() reverses the directions and updates direction display, but it does not return the beam elements which were reversed successfully. NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.ReverseDirections() reverses directions and returns the beam elements which were reversed successfully. Both of the methods are only available in fem context.

To create a new instance of this class, use NXOpen.CAE.ModelCheckManager.CreateReverseBeamElementDirectionBuilder()

New in version NX8.5.0.

Properties

Property Description
CheckScopeOption Returns or sets the check scope setting
SelectionList Returns the selected objects to be checked.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
DisplayDirections Display directions of NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.SelectionList()
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
ReverseDirections Reverses directions specified in NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.SelectionList() and returns those elements whose directions were reversed successfully.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

CheckScopeOption

ReverseBeamElementDirectionBuilder.CheckScopeOption

Returns or sets the check scope setting

-------------------------------------

Getter Method

Signature CheckScopeOption

Returns:
Return type:NXOpen.CAE.ModelCheck.CheckScope

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature CheckScopeOption

Parameters:scope (NXOpen.CAE.ModelCheck.CheckScope) –

New in version NX11.0.1.

License requirements: None.

SelectionList

ReverseBeamElementDirectionBuilder.SelectionList

Returns the selected objects to be checked.

The objects must be NXOpen.CAE.Mesh or NXOpen.CAE.FEElement

-------------------------------------

Getter Method

Signature SelectionList

Returns:
Return type:NXOpen.SelectTaggedObjectList

New in version NX8.5.0.

License requirements: None.

Method Detail

DisplayDirections

ReverseBeamElementDirectionBuilder.DisplayDirections

Display directions of NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.SelectionList()

Signature DisplayDirections()

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ReverseDirections

ReverseBeamElementDirectionBuilder.ReverseDirections

Reverses directions specified in NXOpen.CAE.ModelCheck.ReverseBeamElementDirectionBuilder.SelectionList() and returns those elements whose directions were reversed successfully.

This method will only reverse the directions for beam elements in the current work fem part.

Signature ReverseDirections()

Returns:
Return type:list of NXOpen.CAE.FEElement

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Validate

ReverseBeamElementDirectionBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.